---
title: 'Location: pathname'
slug: Web/API/Location/pathname
tags:
  - API
  - Location
  - Property
  - Reference
---
<p>{{ApiRef("Location")}}</p>

<p>The <strong><code>pathname</code></strong> property of the {{domxref("Location")}} interface is a {{domxref("USVString")}} containing an initial <code>'/'</code> followed by the path of the URL (or the empty string if there is no path).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>string</em> = <em>object</em>.pathname;
<em>object</em>.pathname = <em>string</em>;
</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">// Let's an &lt;a id="myAnchor" href="/en-US/docs/Location.pathname"&gt; element be in the document
var anchor = document.getElementById("myAnchor");
var result = anchor.pathname; // Returns:'/en-US/docs/Location.pathname'
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-location-pathname', 'pathname')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Location.pathname")}}</p>
